<?php 
include_once('../../../php/sessionStart.php'); 
include_once('../../../php/db/dbExec.php');

?>

<?php include_once('../includes/htmlOpen.php'); ?>
    <main class="main" style="">
      <?php 
        $li[0] = '<i class="fas fa-stream"></i>';
        $li[1] = $_GET["opcNom"];
        include_once('../../../php/includes/ol.php');
      ?>

      <div class="container-as">
        <div class="row">
          <div class="col">

            <ul class="nav nav-pills mb-1" id="pills-tab" role="tablist">
              <li class="nav-item">
                <a class="nav-link active" id="pills-0-tab" data-toggle="pill" href="#pills-0" role="tab" aria-controls="pills-0" aria-selected="true">Mantenimiento</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" id="pills-1-tab" data-toggle="pill" href="#pills-1" role="tab" aria-controls="pills-1" aria-selected="false">Buscar Empresa</a>
              </li>
            </ul>

            <div class="tab-content bg-transparent border-0" id="pills-tabContent">
              <div class="tab-pane fade show active" id="pills-0" role="tabpanel" aria-labelledby="pills-0-tab">
              <!-- <div class="text-white"><?php echo $_SESSION["empNomc"]?></div>  para comentar -->

                <form action="" name="thisform" autocomplete="off" enctype="multipart/form-data">
                  <div class="form-group">
                    <div class="form-row align-items-end">
                      <div class="col-md-2">
                        <label for="txtCod" class="font-size-lg">Empresa</label>
                        <input type="text" class="form-control form-control-as" id="txtCod" placeholder="" maxlength="3">
                      </div>
                      <div class="col-md-9">
                        <label for="txtNom"></label>
                        <input type="text" class="form-control form-control-as form-info text-warning" id="txtNom" placeholder="" disabled>
                      </div>
                    </div>

                    
                    <div class="form-row align-items-end mt-4">
                      <div class="col-md-4">
                        <div class="form-row align-items-end">
                          <div class="col-6">
                            <label for="dtFinie">Fecha Inicio Periodo</label>
                            <input type="date" class="form-control form-control-sm form-control-as" id="dtFinie" placeholder="">
                          </div>
                          <div class="col-6">
                            <label for="dtFciee">Fecha Final Periodo</label>
                            <input type="date" class="form-control form-control-sm form-control-as" id="dtFciee" placeholder="">
                          </div>
                        </div>
                      </div>
                      <div class="col-md-4">
                        <div class="form-row align-items-end">
                          <div class="col-6">
                            <label for="dtFtrab">Fecha en la que trabajara</label>
                            <input type="date" class="form-control form-control-sm form-control-as" id="dtFtrab"placeholder="">
                          </div>
                        </div>
                      </div>
                    </div>

                  </div>

                  <div class="form-group">
                    <div class="form-row">
                      <div class="form-group col">
                        <button class="btn btn-success btn-lg btn-block" id="btnGuardar" type="button">Guardar</button>
                      </div>
                    </div>
                  </div>
                </form>

              </div>

              <div class="tab-pane fade" id="pills-1" role="tabpanel" aria-labelledby="pills-1-tab">
                <?php
                  $a='0';
                  $b='1';
                  include('../busEmpresas/index.html')
                ?>
              </div>

            </div>
          </div>
        </div>
      </div>
    </main>
<?php include_once('../../../php/includes/htmlClose.php'); ?>

<script>
  var pressEnter = false;
  var nuevo = true;
  var inputEmpresas = "txtCod";
  //var inputCta = "txtCtac";

  const txtCod = document.thisform.txtCod;
  const txtNom = document.thisform.txtNom;
  const dtFinie = document.thisform.dtFinie;
  const dtFciee = document.thisform.dtFciee;
  const dtFtrab = document.thisform.dtFtrab;
  
  function restriccion(consultar = false){
    if (!consultar) {
      if (isNullPer(txtCod.value)) {
        txtCod.focus();
        alWarning({"msg":{"title":"Campo Vacío","text":"Es necesario ingresar el CÓDIGO DE LA EMPRESA"}});
        return true;
      }
    } else {
      if (isNullPer(txtCod.value)) {
        limpiar();
        return true;
      }
    }
    return false;
  }
  
  function restriccionCamposVacios() {
    if (isNullPer(txtCod.value)) {
      txtCod.focus();
      alWarning({"msg":{"title":"Campo Vacío","text":"Es necesario ingresar EL CODIGO DE LA EMPRESA"}});
      return true;
    }
    return false;
  }

  function limpiar(){
    txtNom.value = "";
    dtFinie.value = dateToday();
    dtFciee.value = dateToday();
    dtFtrab.value = dateToday();
  }

  $(document).ready(function() {
    $(this).find('input:visible:first').focus();
    txtCod.value = '<?php echo $_SESSION["empCod"] ?>';
    txtNom.value = '<?php echo $_SESSION["empNom"] ?>';
    dtFinie.value = '<?php echo $_SESSION["empFinie"] ?>';
    dtFciee.value = '<?php echo $_SESSION["empFciee"] ?>';
    dtFtrab.value = '<?php echo $_SESSION["empFtrab"] ?>';

    // SUBMIT FORM
    $('form').submit(function() {
      return false;
    });

    // FOCUS INPUT
    $("form[name='thisform'] input, select").focus(function (){
      if (!($("input:visible:first").is(":focus"))) {
        if (restriccionCamposVacios()) {return};
      }
    });

    // VALID CODIGO
    $("#txtCod")
    .focus(function() {
      inputEmpresas = $(this).attr('id');
    })
    .keypress(function(e) {
      const keycode = e.keyCode || e.which;
      if (keycode == '13') { pressEnter = true; }
    })
    .keydown(function(e){
      if(ctrlBus(e)) { document.getElementById("pills-1-tab").click(); }
    })
    .change(function (){
      txtThis = this;
      txtGetValue = txtNom;
      txtNext = dtFinie;

      $(txtThis).off("blur");
      if (restriccion(true)) {return};

      const parametros = new FormData();
      parametros.append("action", "consultar");
      parametros.append("txtCod", txtThis.value);

      $.ajax({
        data:  parametros,
        url:   window.location.origin+window.location.pathname+"actions.php",
        type:  "post",
        contentType: false,
        processData: false,
        beforeSend: function () {
          alLoad("Consultando...")
        },
        success: function (jsonPhp) {
          const jsonJS = JSON.parse(jsonPhp);

          if(jsonJS.error == true){
            alError(jsonJS);
          } else {
            if (jsonJS.empresas === null) {
              txtGetValue.value = "";
              alErrorFocus({"msg":{"type":"error","title":"No existe","text":"La Empresa "+txtThis.value+" no ha sido registrada", "ok":"Aceptar"}}, txtThis);
            } else {
              txtGetValue.value = jsonJS.empresas.emp_nom;
              dtFinie.value = jsonJS.empresas.emp_finie;
              dtFciee.value = jsonJS.empresas.emp_fciee;
              dtFtrab.value = jsonJS.empresas.emp_ftrab;
              (pressEnter) ? alClose() : alCloseFocus(txtNext);
            }
            pressEnter = false;
            blurOn(txtThis, txtGetValue);
          }
        }
      });
    });
    /*$("#txtCod")
    .focus(function() {
      inputEmpresas = $(this).attr('id');
    })
    .keypress(function(e) {
      const keycode = e.keyCode || e.which;
      if (keycode == '13') {
        pressEnter = true;
        //$("#dtFinie").focus();
      }
    })
    .keydown(function(e){
      if(ctrlBus(e)) { document.getElementById("pills-1-tab").click(); }
    })
    .change(function (){
      txtThis = this;
      txtGetValue = txtNom;
      txtNext = dtFinie;

      $(txtThis).off("blur");
      if (restriccion(true)) {return};

      const parametros = new FormData();
      parametros.append("action", "consultar");
      parametros.append("txtCod", txtCod.value);

      //txtNext.focus()

      $.ajax({
        data:  parametros,
        url:   window.location.origin+window.location.pathname+"actions.php",
        type:  "post",
        contentType: false,
        processData: false,
        beforeSend: function () {
          alLoad("Consultando...")
        },
        success: function (jsonPhp) {
          const jsonJS = JSON.parse(jsonPhp);

          if(jsonJS.error == true){
            alError(jsonJS);
          } else {
            limpiar();
            
            if (jsonJS.empresas === null) {
              txtGetValue.value = "";
              alErrorFocus({"msg":{"type":"error","title":"No existe","text":"La Empresa "+txtThis.value+" no ha sido registrada", "ok":"Aceptar"}}, txtThis);
            } else {
              txtGetValue.value = jsonJS.empresas.emp_nom;
              dtFinie.value = jsonJS.empresas.emp_finie;
              dtFciee.value = jsonJS.empresas.emp_fciee;
              dtFtrab.value = jsonJS.empresas.emp_ftrab;
              $("#badgeUlcam").text(jsonJS.empresas.emp_ulcam);
              nuevo = false;
              alCloseFocus(txtNext);
            }
            pressEnter = false;
            blurOn(txtThis, txtGetValue);
          }
        }
      });
    });*/
    

    // CLICK GUARDAR
    $("#btnGuardar").click(function (){
      if (restriccion()) {return};

      const parametros = new FormData();
      parametros.append("action", "guardar");

      parametros.append("nuevo", nuevo);
      parametros.append("txtCod", txtCod.value);
      parametros.append("txtNom", txtNom.value);
      parametros.append("dtFinie", dtFinie.value);
      parametros.append("dtFciee", dtFciee.value);
      parametros.append("dtFtrab", dtFtrab.value);
      
      txtCod.focus();
      
      $.ajax({
        data:  parametros,
        url:   window.location.origin+window.location.pathname+"actions.php",
        type:  "post",
        contentType: false,
        processData: false,
        beforeSend: function () {
          alLoad("Cargando...")
        },
        success: function (jsonPhp) {
          console.log(jsonPhp)
          const jsonJS = JSON.parse(jsonPhp);

          if(jsonJS.error==true){
            alError(jsonJS);
          } else {
            alSuccess(jsonJS);
            location.reload();
          }
        }
      });
    });
  });

  // FOCUS PILL
  $('a[data-toggle="pill"]').on('shown.bs.tab', function (e) {
    if (!isMobile()) {
      const target = e.target.attributes.href.value;
      const relatedTarget = e.relatedTarget.attributes.href.value;

      if ((target == "#pills-0" && isNullPer(txtCod.value)) || target != "#pills-0") {
        $(target+' input:visible:first').focus();
      } else {
        (relatedTarget == "#pills-1") ? $(target+' input:visible:eq(1)').focus() : 0;
      }
    }
  });

</script>